Subject: Re: running bash as an right click option for directories
From: "Jan-Friedrich Mutter" <[email-masked]>
To: "Raju K. V." <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 14 May 1999 14:17:14 +0200

My current Setting is:
HKEY_CLASSES_ROOT\Directory\shell\Xterm here\
HKEY_CLASSES_ROOT\Directory\shell\Xterm here\command
    (Standard) = perl C:\MyPath\xterm.pl "%1"

xterm.pl invokes the xterm (run rxvt.exe -e bash) within a bash (should I
paste my Perl Script in here?). Problem is that %1 contains only the short
pathnames, i.e. "C:\Progra~1". This makes the prompt ugly.
Maybe your '/k' hint could be the solution. I have to check this.

-Jan.

     Jan-Friedrich Mutter <[email-masked]>
         [http://www.bigfoot.com/~jmutter]
-----Ursprüngliche Nachricht-----
Von: Raju K. V. <[email-masked]>
An: [email-masked] <[email-masked]>
Datum: Freitag, 14. Mai 1999 13:19
Betreff: running bash as an right click option for directories

>hi all,
>
>please read the foll. registry trick
>
>To create a new right-click option to open a command
>prompt window at the directory you are currently working from.
>
>Open your registry and find the key below.
>
>Create a new sub key called 'CommandPrompt' as in
>[HKEY_CLASSES_ROOT\Directory\shell\CommandPrompt]. Change the value of
>'(default)' within the key to equal the text you would like on the
>right-click menu, for example 'Command Prompt Here'.
>
>Create another new sub-key under the key created above, name this subkey
>'command' as in:
>[HKEY_CLASSES_ROOT\Directory\shell\CommandPrompt\command]. Change the
>value of '(default)' within this key to:
>
>command.com /k cd "%1"
>
>Now my question is I want to do the same with bash. Can somebody tell me
>what command line I should give to perform th eabove operation with bash?
>
>Thanks in advance,
>Raju
>
>
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]